package com.flyfish.framework.repository;

import com.flyfish.framework.domain.base.Domain;
import com.flyfish.framework.repository.base.DomainRepository;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.NoRepositoryBean;

/**
 * 默认的仓库
 *
 * @author wangyu
 */
@NoRepositoryBean
public interface DefaultRepository<T extends Domain> extends MongoRepository<T, String>, QueryModelExecutor<T>,
        DomainRepository<T> {

}
